package org.btcollider.cnc.keysrv;

import java.util.concurrent.TimeUnit;

import org.btcollider.cnc.keysrv.impl.keytree.KeyTreeServer;
import org.btcollider.cnc.keysrv.impl.multistage.MultiStagedServer;

public class KSFactory {
	public static KeyServer build(int index, int depth, long maxWorkSpan, TimeUnit timeUnit) {
		if (depth == 25) {
			return new KeyTreeServer(index, depth, timeUnit.toMillis(maxWorkSpan));
		} else {
			return new MultiStagedServer(index, depth, timeUnit.toMillis(maxWorkSpan));
		}
	}
}
